Package org.eclipse.m2m.atl.emftvm

## Interface Feature

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `TypedElement`

All Known Subinterfaces:
  `Field`, `Operation`

All Known Implementing Classes:
  `FeatureImpl`, `FieldImpl`, `OperationImpl`

    public interface Feature
    extends TypedElement

A representation of the model object 'Feature'.

See Also:
  `EmftvmPackage.getFeature()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getContext()` Returns the value of the 'Context' attribute.
`java.lang.String` `getContextModel()` Returns the value of the 'Context Model' attribute.
`org.eclipse.emf.ecore.EClassifier` `getEContext()` Returns the value of the 'EContext' reference.
`Module` `getModule()` Returns the value of the 'Module' container reference.
`boolean` `isStatic()` Returns the value of the 'Static' attribute.
`void` `setContext​(java.lang.String value)` Sets the value of the '`Context`' attribute.
`void` `setContextModel​(java.lang.String value)` Sets the value of the '`Context Model`' attribute.
`void` `setEContext​(org.eclipse.emf.ecore.EClassifier value)` Sets the value of the '`EContext`' reference.
`void` `setModule​(Module value)` Sets the value of the '`Module`' container reference.
`void` `setStatic​(boolean value)` Sets the value of the '`Static`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### isStatic

    boolean isStatic()

Returns the value of the 'Static' attribute.

If the meaning of the 'Static' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Static' attribute.
See Also:
  `setStatic(boolean)`, `EmftvmPackage.getFeature_Static()`

#### setStatic

    void setStatic​(boolean value)

Sets the value of the '`Static`' attribute.

Parameters:
  `value` - the new value of the 'Static' attribute.
See Also:
  `isStatic()`

#### getEContext

    org.eclipse.emf.ecore.EClassifier getEContext()

Returns the value of the 'EContext' reference.

If the meaning of the 'EContext' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'EContext' reference.
See Also:
  `setEContext(EClassifier)`, `EmftvmPackage.getFeature_EContext()`

#### setEContext

    void setEContext​(org.eclipse.emf.ecore.EClassifier value)

Sets the value of the '`EContext`' reference.

Parameters:
  `value` - the new value of the 'EContext' reference.
See Also:
  `getEContext()`

#### getContext

    java.lang.String getContext()

Returns the value of the 'Context' attribute.

If the meaning of the 'Context' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Context' attribute.
See Also:
  `setContext(String)`, `EmftvmPackage.getFeature_Context()`

#### setContext

    void setContext​(java.lang.String value)

Sets the value of the '`Context`' attribute.

Parameters:
  `value` - the new value of the 'Context' attribute.
See Also:
  `getContext()`

#### getContextModel

    java.lang.String getContextModel()

Returns the value of the 'Context Model' attribute.

If the meaning of the 'Context Model' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Context Model' attribute.
See Also:
  `setContextModel(String)`, `EmftvmPackage.getFeature_ContextModel()`

#### setContextModel

    void setContextModel​(java.lang.String value)

Sets the value of the '`Context Model`' attribute.

Parameters:
  `value` - the new value of the 'Context Model' attribute.
See Also:
  `getContextModel()`

#### getModule

    Module getModule()

Returns the value of the 'Module' container reference. It is bidirectional and its opposite is '`Features`'.

If the meaning of the 'Module' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Module' container reference.
See Also:
  `setModule(Module)`, `EmftvmPackage.getFeature_Module()`, `Module.getFeatures()`

#### setModule

    void setModule​(Module value)

Sets the value of the '`Module`' container reference.

Parameters:
  `value` - the new value of the 'Module' container reference.
See Also:
  `getModule()`